Type to search.

Delete an inference endpoint

Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 8.11 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Path parameters

task_type enum optional

The task type

Leave it out to use /_inference/{inference_id}.

Values: sparse_embedding text_embedding rerank completion chat_completion
inference_id string required

The inference identifier.

Query parameters

dry_run boolean · default: false

When true, the endpoint is not deleted and a list of ingest processors which reference this endpoint is returned.

force boolean · default: false

When true, the inference endpoint is forcefully deleted even if it is still being used by ingest processors or semantic text fields.

Response

application/json
acknowledged boolean required

For a successful response, this value is always true. On failure, an exception is returned instead.

pipelines string[] required